extensions / Commerce extension
GET
/api/projects/{project_id}/sales/shipment-rules/{rule_id}Get Shipment Rule
Retrieves a single shipment rate rule by id within a project.
Authentication
- Requirement
- Required
- Credential type
- Bearer API key
- Scopes
- Not specified
Permissions
- Requests are scoped to the target project_id. API-key requests must use a key with an active connection to that project.
Headers
| Name | Required | Type | Details |
|---|---|---|---|
Authorization | Yes | Not specified | Description: Bearer credential used to authenticate the request. |
Path Parameters
| Name | Required | Type | Details |
|---|---|---|---|
project_id | Yes | Not specified | Description: Target project identifier. |
rule_id | Yes | Not specified | Description: Identifier for rule. |
Query Parameters
Request Body
Response Body
Example 200 response
json
{
"id": 1,
"project_id": 1,
"name": "Example",
"description": "string",
"is_active": "string",
"priority": "string",
"discard_subsequent": "string",
"shipping_carriers": [],
"shipping_methods": [],
"ignore_free_shipping_promo": "string",
"calculation_type": "string",
"base_rate": "string",
"fixed_rate_per_product": "string",
"rate_per_unit_weight": "string",
"percentage_per_product": "string",
"handling_percentage": "string",
"rate_change_min": "string",
"rate_change_max": "string",
"total_rate_min": "string",
"total_rate_max": "string",
"conditions": [],
"apply_to": "string",
"admin_area_only": "string",
"customer_roles": [],
"days_of_week": "string",
"time_from": "string",
"time_to": "string",
"apply_with_coupon_codes": [],
"apply_with_cart_rules": [],
"do_not_apply_with_coupon_codes": [],
"do_not_apply_with_cart_rules": [],
"created_at": "2026-01-01T00:00:00Z",
"updated_at": "2026-01-01T00:00:00Z"
}Errors
404 not_foundAvailability
- Available in
- v0.1.0
- Available since
- v0.1.0
- Implementation
- Available
- Deprecation
- Not specified
- Rate limits
- Not specified

